help users to discover z3c.form's feature set

Bug #664970 reported by ToniMueller on 2010-10-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
z3c.form
Undecided
Unassigned

Bug Description

Various versions of z3c.form have different feature sets that can be used by users of this package. One such user, S&D, was supplying their own version of form widgets which are now provided by z3c.form, but which leads to the problem that it is not possible to depend on "any" version of z3c.form, and esp. to require a patch to work with the latest version of z3c.form. The following patch should improve the situation in that it makes these features discoverable:

--- configure.zcml.orig 2010-10-21 15:24:05.000000000 +0200
+++ configure.zcml 2010-10-21 15:40:58.000000000 +0200
@@ -1,6 +1,7 @@
 <configure
     xmlns="http://namespaces.zope.org/zope"
     xmlns:i18n="http://namespaces.zope.org/i18n"
+ xmlns:meta="http://namespaces.zope.org/meta"
     i18n_domain="z3c.form">

   <!-- default z3c.form layer -->
@@ -9,6 +10,8 @@
       type="zope.publisher.interfaces.browser.IBrowserSkinType"
       />

+ <meta:provides feature="z3c.form.checkbox-widget" />
+ <meta:provides feature="z3c.form.radio-widget" />

   <!-- Validators -->
   <adapter

Stephan Richter (srichter) wrote :

This can be easily solved by requiring specific z3c.form versions or ranges thereof in your setup.py file.

Changed in z3c.form:
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers